org.apache.cassandra.hadoop

## Class BulkOutputFormat.NullOutputCommitter

- java.lang.Object
- - org.apache.hadoop.mapreduce.OutputCommitter
  - - org.apache.cassandra.hadoop.BulkOutputFormat.NullOutputCommitter

Enclosing class:
  BulkOutputFormat

    public static class BulkOutputFormat.NullOutputCommitter
    extends org.apache.hadoop.mapreduce.OutputCommitter

### Constructor Summary

Constructors
Constructor and Description
`NullOutputCommitter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `abortTask(org.apache.hadoop.mapreduce.TaskAttemptContext taskContext)`
`void` `cleanupJob(org.apache.hadoop.mapreduce.JobContext jobContext)`
`void` `commitTask(org.apache.hadoop.mapreduce.TaskAttemptContext taskContext)`
`boolean` `needsTaskCommit(org.apache.hadoop.mapreduce.TaskAttemptContext taskContext)`
`void` `setupJob(org.apache.hadoop.mapreduce.JobContext jobContext)`
`void` `setupTask(org.apache.hadoop.mapreduce.TaskAttemptContext taskContext)`

### Methods inherited from class org.apache.hadoop.mapreduce.OutputCommitter

`abortJob, commitJob`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NullOutputCommitter

    public NullOutputCommitter()

### Method Detail

#### abortTask

    public void abortTask(org.apache.hadoop.mapreduce.TaskAttemptContext taskContext)

Specified by:
  `abortTask` in class `org.apache.hadoop.mapreduce.OutputCommitter`

#### cleanupJob

    public void cleanupJob(org.apache.hadoop.mapreduce.JobContext jobContext)

Overrides:
  `cleanupJob` in class `org.apache.hadoop.mapreduce.OutputCommitter`

#### commitTask

    public void commitTask(org.apache.hadoop.mapreduce.TaskAttemptContext taskContext)

Specified by:
  `commitTask` in class `org.apache.hadoop.mapreduce.OutputCommitter`

#### needsTaskCommit

    public boolean needsTaskCommit(org.apache.hadoop.mapreduce.TaskAttemptContext taskContext)

Specified by:
  `needsTaskCommit` in class `org.apache.hadoop.mapreduce.OutputCommitter`

#### setupJob

    public void setupJob(org.apache.hadoop.mapreduce.JobContext jobContext)

Specified by:
  `setupJob` in class `org.apache.hadoop.mapreduce.OutputCommitter`

#### setupTask

    public void setupTask(org.apache.hadoop.mapreduce.TaskAttemptContext taskContext)

Specified by:
  `setupTask` in class `org.apache.hadoop.mapreduce.OutputCommitter`